Mail archive
alpine-aports

[alpine-aports] [PATCH] community/nodejs-current: remove mips* support following upstream

From: alpine-mips-patches <info_at_mobile-stream.com>
Date: Wed, 15 May 2019 15:27:10 +0000

---
 community/nodejs-current/APKBUILD             | 11 ++------
 .../link-with-libatomic-on-mips32.patch       | 28 -------------------
 2 files changed, 2 insertions(+), 37 deletions(-)
 delete mode 100644 community/nodejs-current/link-with-libatomic-on-mips32.patch
diff --git a/community/nodejs-current/APKBUILD b/community/nodejs-current/APKBUILD
index b46cfe0e41..98525b7f52 100644
--- a/community/nodejs-current/APKBUILD
+++ b/community/nodejs-current/APKBUILD
_at_@ -21,7 +21,7 @@
 pkgname=nodejs-current
 # The current stable version, i.e. non-LTS.
 pkgver=12.2.0
-pkgrel=0
+pkgrel=1
 pkgdesc="JavaScript runtime built on V8 engine - current stable version"
 url="https://nodejs.org/"
 arch="all !mips64 !mips64el"
_at_@ -35,7 +35,6 @@ provides="nodejs"
 replaces="nodejs nodejs-lts"  # nodejs-lts for backward compatibility
 source="https://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz
 	dont-run-gyp-files-for-bundled-deps.patch
-	link-with-libatomic-on-mips32.patch
 	"
 builddir="$srcdir/node-v$pkgver"
 
_at_@ -49,12 +48,7 @@ prepare() {
 build() {
 	cd "$builddir"
 
-	case "$CARCH" in
-	mips*) _carchflags="--with-mips-arch-variant=r1 --with-mips-float-abi=soft";;
-	esac
-
 	./configure --prefix=/usr \
-		$_carchflags \
 		--shared-zlib \
 		--shared-libuv \
 		--shared-openssl \
_at_@ -94,5 +88,4 @@ package() {
 }
 
 sha512sums="d97a804e2b0190603eba25f10c2259b938223eb81977e0d41607c41dccdc2d4ce6a24e2700903737b011a9a9c998a0387cbc5db54419be9072b5e20ba2287491  node-v12.2.0.tar.gz
-7634ae88ec660867361e0d909f3bf038270524f8e399d8a5f46ce63cc0f21529bdf3165246da263f0a848fd10dd3a2c5877a04864f35bc4c77556d3ac4eb6196  dont-run-gyp-files-for-bundled-deps.patch
-9f60928b53447f9590c7065bcdbdd4065d10a06e8451531615791a3bd7d14f9114807e5446e0ec00e2cb7a11a277050345e34636b199db2979d7f022b31ffde4  link-with-libatomic-on-mips32.patch"
+7634ae88ec660867361e0d909f3bf038270524f8e399d8a5f46ce63cc0f21529bdf3165246da263f0a848fd10dd3a2c5877a04864f35bc4c77556d3ac4eb6196  dont-run-gyp-files-for-bundled-deps.patch"
diff --git a/community/nodejs-current/link-with-libatomic-on-mips32.patch b/community/nodejs-current/link-with-libatomic-on-mips32.patch
deleted file mode 100644
index 21f9960d7b..0000000000
--- a/community/nodejs-current/link-with-libatomic-on-mips32.patch
+++ /dev/null
_at_@ -1,28 +0,0 @@
---- a/tools/v8_gypfiles/v8.gyp
-+++ b/tools/v8_gypfiles/v8.gyp
-_at_@ -2460,6 +2460,11 @@
-         }, {
-           'toolsets': ['target'],
-         }],
-+        [ 'host_arch=="mips" or host_arch=="mipsel"', {
-+          'link_settings': {
-+            'libraries': [ '-latomic' ],
-+          },
-+        }],
-         ['component=="shared_library"', {
-           'direct_dependent_settings': {
-             'defines': [ 'USING_V8_PLATFORM_SHARED' ],
---- a/node.gyp
-+++ b/node.gyp
-_at_@ -315,6 +315,11 @@
-       'msvs_disabled_warnings!': [4244],
- 
-       'conditions': [
-+        [ 'host_arch=="mips" or host_arch=="mipsel"', {
-+          'link_settings': {
-+            'libraries': [ '-latomic' ],
-+          },
-+        }],
-         [ 'node_intermediate_lib_type=="static_library" and '
-             'node_shared=="true" and OS=="aix"', {
-           # For AIX, shared lib is linked by static lib and .exp. In the
-- 
2.21.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed May 15 2019 - 15:27:10 UTC